package com.galaxis.manatee.entity.chuanyun.data.object;

import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import com.fasterxml.jackson.annotation.JsonProperty;
import com.fasterxml.jackson.databind.annotation.JsonDeserialize;
import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.galaxis.manatee.util.ChuanyunLocalDateTimeDeserializer;
import com.galaxis.manatee.util.ChuanyunLocalDateTimeSerializer;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.extern.slf4j.Slf4j;

import javax.persistence.Entity;
import javax.persistence.Transient;
import java.math.BigDecimal;
import java.time.LocalDate;
import java.time.LocalDateTime;

@Slf4j
@EqualsAndHashCode(callSuper = true)
@Data
@Entity(name = "CHUANYUN_MONTH_LABORCOST_WG")
@JsonIgnoreProperties(ignoreUnknown = true)
public class ChuanyunMonthLaborCostWgDO extends BasicDO{

    /**
     * 表名
     */
    public static final String SCHEMA_CODE ="D001789Sdzc3s28dpsjjdr7niay7kija3";

    @JsonProperty("F0000005")
    private String projectCode;

    @JsonProperty("F0000019")
    private String workGroupId;

    @JsonProperty("F0000020")
    private String workGroupName;

    @JsonProperty("F0000003")
    private BigDecimal amount;

    @Transient
    private BigDecimal totalamount;

    @JsonSerialize(using = ChuanyunLocalDateTimeSerializer.class)
    @JsonDeserialize(using = ChuanyunLocalDateTimeDeserializer.class)
    @JsonProperty("F0000002")
    private LocalDate logDate;

    @JsonProperty("F0000004")
    private String dataType;
}
